Skip to main content
PATCH
PATCH /api/bots/{botId}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

botId
string
required

Body

application/json
profile
object
model
string | null
Required string length: 1 - 128
Pattern: ^[A-Za-z0-9._@:/-]+$
effort
enum<string> | null
Available options:
low,
medium,
high,
xhigh,
max
voice
enum<string>
Available options:
alloy,
ash,
coral,
echo,
fable,
onyx,
nova,
sage,
shimmer
status
enum<string>
Available options:
active,
paused,
archived
autonomy
enum<string>
Available options:
manual,
supervised,
autonomous
capabilities
object
budget
object
pinned
boolean
favorite
boolean
chatArchived
boolean

Response

Success

id
string<uuid>
required
userId
string<uuid>
required
profile
object
required
model
string | null
required
Required string length: 1 - 128
Pattern: ^[A-Za-z0-9._@:/-]+$
voice
enum<string>
default:nova
required
Available options:
alloy,
ash,
coral,
echo,
fable,
onyx,
nova,
sage,
shimmer
status
enum<string>
required
Available options:
active,
paused,
archived
autonomy
enum<string>
required
Available options:
manual,
supervised,
autonomous
capabilities
object
required
budget
object
required
monthSpendUsd
number
required
Required range: 0 <= x <= 1000000
pinned
boolean
default:false
required
favorite
boolean
default:false
required
chatArchived
boolean
default:false
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
effort
enum<string> | null
Available options:
low,
medium,
high,
xhigh,
max
daySpendUsd
number
Required range: 0 <= x <= 1000000
lastActivityAt
string<date-time> | null
lastMessagePreview
object | null
lastMessageSentAt
string<date-time> | null
lastMessageFrom
enum<string> | null
Available options:
person,
agent